import argparse
import zipfile

import ee.tools

parser = argparse.ArgumentParser()
ee.tools.add_default_argparse_group(parser)

parser.add_argument("--include",
                    required=True,
                    metavar="FILE")

parser.add_argument("--zip",
                    required=True,
                    metavar="FILE")

args = parser.parse_args()
ee.tools.process_default_argparse_group(args)

with zipfile.ZipFile(args.zip, "w") as zf:
    with open(args.include, "r") as files:
        for file in files.readlines():
            file = file[0:-1]
            zf.write(file)
