import argparse
from pathlib import Path

import ee.odoo
import ee.tools

parser = argparse.ArgumentParser()
ee.tools.add_default_argparse_group(parser)

parser.add_argument("--in",
                    dest="in_path",
                    required=True)

parser.add_argument("--out",
                    required=True)

parser.add_argument("--in-format",
                    required=True)

parser.add_argument("--out-format",
                    required=True)

args = parser.parse_args()
ee.tools.process_default_argparse_group(args)

ee.odoo.restructure(Path(args.in_path), args.in_format, Path(args.out), args.out_format)
